
EclaireXL - Feature #21

Mirax Force game crash

05/30/2017 03:40 PM - ndary

Status: Closed Start date: 05/30/2017

Priority: Normal Due date:  

Assignee: foft % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

tested the MIRAX Force game

the Speech at the beginning of the game works. but the game will not start

can this be a bug in the XEX File loader?

Nir

Related issues:

Related to Feature #28: XEX boot loader replacement Closed 05/31/2017

History

#1 - 05/30/2017 06:32 PM - foft

Can you test it with aspeqt too?

#2 - 05/30/2017 06:47 PM - foft

- Assignee changed from foft to ndary

#3 - 05/30/2017 11:34 PM - ndary

- File $boot.bin added

- File picodos.sys added

tested it ASPEQT and confirm that its a problem of the loader..

i used PICODOS from HIASOFT and most games/demos that does not load well with the EclairXL loader works now!!!

so its not a problem with the core but with the loader

#4 - 05/30/2017 11:34 PM - ndary

- Assignee changed from ndary to foft

ndary wrote:

tested it ASPEQT and confirm that its a problem of the loader..

i used PICODOS from HIASOFT and most games/demos that does not load well with the EclairXL loader works now!!!

so its not a problem with the core but with the loader

#5 - 05/31/2017 08:07 AM - foft

ok, another loader issue.

Lets add a new task for changing the xex loader to picodos or another.

#6 - 05/31/2017 08:44 AM - xxl

foft wrote:

ok, another loader issue.
Lets add a new task for changing the xex loader to picodos or another.

 I can write proper loader.

#7 - 05/31/2017 08:55 AM - ndary

PicoDos source is on Github

https://github.com/Masq666/PicoDOS/blob/master/picodos.asm

Nir

#8 - 05/31/2017 07:02 PM - foft

- Related to Feature #28: XEX boot loader replacement added

#9 - 06/03/2017 10:54 AM - ndary

- Tracker changed from Bug to Feature

notice that if you hold the OPTION KEY (F8) before selecting the file, it load correctly,

thus i believe we need to add a feature in the settings to DISABLE BASIC ON/OFF

Nir

#10 - 06/03/2017 12:20 PM - foft

Its the same as the 800xl, portb disables basic and the os changes portb when holding option. Of course you can change the os if you want the

reverse.

#11 - 06/03/2017 12:23 PM - foft

- Status changed from New to Closed

Closing, not a bug with the loader. Just need to hold option to disable basic as usual!

Files

$boot.bin 512 Bytes 05/30/2017 ndary

picodos.sys 4.83 KB 05/30/2017 ndary
